import request from "@/utils/request";

//获取当前列表
export function checkList(data: any) {
  return request({
    url: "/api/v1/process/check/list",
    method: "post",
    data,
  });
}

//更新
export function checkUpdate(data: any) {
  return request({
    url: "/api/v1/process/check/update",
    method: "post",
    data: data,
  });
}

// 检验相关 首检 巡检
// 检验员扫码登录
export function checkUserLogin(userName: string) {
  return request({
    url: `/api/v1/process/info/checkUser/${userName}`,
    method: "get",
  });
}

// 工单excel列表查询type 1 巡检
export function processExcelList(workOrderId: string, type: number) {
  return request({
    url: `/api/v1/ProcessFormData/list2/${workOrderId}/${type}`,
    method: "get",
  });
}
//分页
export function shoujianList(data: any) {
  return request({
    url: "/api/v1/processSeqDestruction/page",
    method: "post",
    data: data,
  });
}
//获取管号
export function seqList(data: any) {
  return request({
    url: "/api/v1/plan/seq/list",
    method: "post",
    data: data,
  });
}
//删除
export function delItem(data: any) {
  return request({
    url: "/api/v1/processSeqDestruction/del",
    method: "post",
    data: data,
  });
}
